#pragma once
#ifndef MYHUMTEMP_H
#define MYHUMTEMP_H

// Arduino libs
#include <Arduino.h>
// libs for MQTT
#include <PubSubClient.h>

// exernal defined variables we need
extern float hum, temp;
extern PubSubClient *client;
extern byte event_counter;
extern float sht21_value;
extern const byte buffer_bytes;
extern volatile byte bit_buffer[];
extern volatile byte bit_counter;
extern String mqtt_clientid;
extern const byte SDA_PIN;

// defined methods
void doHumTemp();
float get_sht21_data();
bool check_crc(byte lmsb, byte llsb, byte lcrc);
void clear_buffer(byte lbuffer_bytes);
ICACHE_RAM_ATTR void isr_scl();

#endif
