#include "myspiffs.h"

String getFileContent(String filename) {
  // try to open the file
  File file = SPIFFS.open(filename,"r");
  if(!file || file.isDirectory()){
    // error & quit if it did not work
    Serial.println("ERROR: Failed to open file "+filename+" for reading!");
    return "";
  }

  // get the content of the file
  String buffer = "";
  while(file.available()){
    buffer += (char)file.read();
  }
  buffer.trim();
 
  return buffer;
}

String getProperty(String key) {
  String value = getFileContent("/"+key+".key");
  Serial.println("Reading: "+key+" = "+value);
  return value;
}

boolean setProperty(String key, String value) {
  String filename = "/"+key+".key";
  Serial.println("Setting: "+key);
  // try to open the file
  File file = SPIFFS.open(filename,"w");
  if(!file){
    // error & quit if it did not work
    Serial.println("ERROR: Failed to open file "+filename+" for writing!");
    return false;
  }

  // try to write the id to the file
  if(!file.print(value)){
    return false;
  }
  
  return true;
}
