#include "mywebserver.h"

void handleCO2() {
  server.send(200, "text/html", String(co2));  
}

void handleTemp() {
  server.send(200, "text/html", String(temp));  
}

void handleHum() {
  server.send(200, "text/html", String(hum));  
}

void handleRoot() {
  int logged = 0;
  
  // process incoming & vcheck for login
  if(server.args()>0) 
  {
    for (uint8_t i = 0; i < server.args(); i++) {
      if(server.argName(i)=="DATA_login")
      {
        if(server.arg(i)==passwd)
          logged=1;
      }
    }
  }

  String buffer = "";

  if(logged==1)
  {
    if(server.args()>0) 
    {
      int restart = 0;
      for (uint8_t i = 0; i < server.args(); i++) {
        if(server.argName(i)=="DATA_ssid")
        {
          setProperty("SSID",server.arg(i));
          // reset BCR
          setProperty("BCR","");
          restart=1;
        }
        else if(server.argName(i)=="DATA_pass")
          setProperty("PASS",server.arg(i));
        else if(server.argName(i)=="DATA_server")
          setProperty("SERVER",server.arg(i));
        else if(server.argName(i)=="DATA_port")
          setProperty("PORT",server.arg(i));
        else if(server.argName(i)=="DATA_SSL")
          setProperty("SSL",server.arg(i));
        else if(server.argName(i)=="DATA_username")
          setProperty("USERNAME",server.arg(i));
        else if(server.argName(i)=="DATA_password")
          setProperty("PASSWORD",server.arg(i));
        else if(server.argName(i)=="DATA_client")
          setProperty("CLIENT",server.arg(i));
        else if(server.argName(i)=="DATA_passwd")
          setProperty("PASSWD",server.arg(i));
      }
      if(restart==1)
      {
        buffer = getFileContent("/wait.html");
        server.send(200, "text/html", buffer);  
        delay(500);
        ESP.restart();
      }
    }

    buffer = getFileContent("/index.html");
  }
  else
    buffer = getFileContent("/login.html");

  // check it
  if(buffer=="")
  {
    server.send(500, "text/plain", "NOK");
    return;
  }

  buffer.replace("%SSID%",wifi_ssid);
  buffer.replace("%PASS%",wifi_pass);
  buffer.replace("%SERVER%",mqtt_server);
  buffer.replace("%PORT%",mqtt_port);
  buffer.replace("%USERNAME%",mqtt_user);
  buffer.replace("%PASSWORD%",mqtt_pass);
  buffer.replace("%CLIENT%",mqtt_clientid);
  buffer.replace("%SSLYES%",(mqtt_ssl=="1"?"checked":""));
  buffer.replace("%SSLNO%",(mqtt_ssl=="1"?"":"checked"));
  buffer.replace("%PASSWD%",passwd);
  buffer.replace("%STATUS_MQTT%",(client->connected()?
          "<span style='color:#47c266; font-weight:bold;'>connected</span>":
          "<span style='color:#d91004; font-weight:bold;'>disconnected</span>"));
  
  // send answer
  server.send(200, "text/html", buffer);  
}

void handleNotFound() {
  // build file not found message
  String message = "File Not Found\n\n";
  message += "URI: ";
  message += server.uri();
  message += "\nMethod: ";
  message += (server.method() == HTTP_GET) ? "GET" : "POST";
  message += "\nArguments: ";
  message += server.args();
  message += "\n";
  for (uint8_t i = 0; i < server.args(); i++) {
    message += " " + server.argName(i) + ": " + server.arg(i) + "\n";
  }
  
  // send answer
  server.send(404, "text/plain", message);
}
