#pragma once
#ifndef MYWEBSEERVER_H
#define MYWEBSEERVER_H

// Arduino libs
#include <Arduino.h>
// libs for running the webserver
#include <ESP8266WebServer.h>
// libs for MQTT
#include <PubSubClient.h>
// libs for SPIFFS
#include "myspiffs.h"

// exernal defined variables we need
extern String wifi_ssid;
extern String wifi_pass;
extern int co2;
extern float hum, temp;
extern ESP8266WebServer server;
extern String mqtt_server;
extern String mqtt_port;
extern String mqtt_user;
extern String mqtt_pass;
extern String mqtt_clientid;
extern String mqtt_ssl;
extern String passwd;
extern PubSubClient *client;


// defined methods
void handleCO2();
void handleTemp();
void handleHum();
void handleRoot();
void handleNotFound();

#endif
