#include "mywifi.h"

void connectWIFI()
{
  // start WiFi in STA mode
  WiFi.begin(wifi_ssid.c_str(), wifi_pass.c_str());
  WiFi.mode(WIFI_STA);

  // display does while the connection is being made
  int i = 0;
  while (WiFi.status() != WL_CONNECTED) 
  {
    delay(500);
    Serial.print(".");
    i++;
    // restart after 10s not being connected
    if(i==20)
    {
      // reset BCR to avoid self-resetting
      // in case WiFi vanished 
      setProperty("BCR","");
      ESP.restart();
    }
  }

  // success!
  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());
}

String generateSSID()
{
  String clientMac = "";
  unsigned char mac[6];
  WiFi.macAddress(mac);
  return "CO2_"+macToStr(mac);
}

String macToStr(const uint8_t* mac)
{
  String result;
  for (int i = 0; i < 6; ++i) {
    result += String(mac[i], 16);
    if (i < 5)
    result += "";
  }
  return result;
}
